package cn.iocoder.yudao.module.ecw.controller.admin.unit.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel("管理后台 - 计量单位分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UnitPageReqVO extends PageParam {

    @ApiModelProperty(value = "中文名称")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    @ApiModelProperty(value = "法文名称")
    private String titleFr;

    @ApiModelProperty(value = "单位符号")
    private String fuhao;

    @ApiModelProperty(value = "0显示 1不显示")
    private Integer status;

    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束")
    private Date endCreateTime;

}
