package cn.iocoder.yudao.module.ecw.dal.mysql.unit;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.unit.UnitDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.unit.vo.*;

/**
 * 计量单位 Mapper
 *
 * @author 久点源码
 */
@Mapper
public interface UnitMapper extends BaseMapperX<UnitDO> {

    default PageResult<UnitDO> selectPage(UnitPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<UnitDO>()
                .eqIfPresent(UnitDO::getTitleZh, reqVO.getTitleZh())
                .eqIfPresent(UnitDO::getTitleEn, reqVO.getTitleEn())
                .eqIfPresent(UnitDO::getTitleFr, reqVO.getTitleFr())
                .eqIfPresent(UnitDO::getFuhao, reqVO.getFuhao())
                .eqIfPresent(UnitDO::getStatus, reqVO.getStatus())
                .eqIfPresent(UnitDO::getAorder, reqVO.getAorder())
                .betweenIfPresent(UnitDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByAsc(UnitDO::getAorder));
    }

    default List<UnitDO> selectList(UnitExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<UnitDO>()
                .eqIfPresent(UnitDO::getTitleZh, reqVO.getTitleZh())
                .eqIfPresent(UnitDO::getTitleEn, reqVO.getTitleEn())
                .eqIfPresent(UnitDO::getFuhao, reqVO.getFuhao())
                .eqIfPresent(UnitDO::getStatus, reqVO.getStatus())
                .eqIfPresent(UnitDO::getAorder, reqVO.getAorder())
                .betweenIfPresent(UnitDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByAsc(UnitDO::getAorder));
    }

}
