package cn.iocoder.yudao.module.ecw.vo.country;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 国家区号 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 国家区号 Response VO")
public class CountryBackVO {

    @ExcelProperty("主键id")
    @ApiModelProperty(value = "主键id", required = true)
    private Long id;

    @ExcelProperty("国家中文名称")
    @ApiModelProperty(value = "国家中文名称", required = true)
    private String nameZh;

    @ExcelProperty("国家英文名称")
    @ApiModelProperty(value = "国家英文名称", required = true)
    private String nameEn;

    @ExcelProperty("国家法文名称")
    @ApiModelProperty(value = "国家法文名称", required = true)
    private String nameFr;

    @ExcelProperty("简称")
    @ApiModelProperty(value = "简称")
    private String nameShort;

    @ExcelProperty("电话区号")
    @ApiModelProperty(value = "电话区号")
    private String tel;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "显示顺序")
    private Integer sort;

}
