package cn.iocoder.yudao.module.ecw.vo.country;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 国家区号查询 VO")
public class CountryQueryVO {

    @ApiModelProperty(value = "国家中文名称")
    private String nameZh;

    @ApiModelProperty(value = "国家英文名称")
    private String nameEn;

    @ApiModelProperty(value = "国家法文名称")
    private String nameFr;

    @ApiModelProperty(value = "简称")
    private String nameShort;

    @ApiModelProperty(value = "电话区号")
    private String tel;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
